[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Ext3, 2.4.10, and 2.4 in general



Hi,

On Sun, Sep 23, 2001 at 04:28:46PM -0500, Nathan G. Grennan wrote:
 
> least as expermintal. If that is near impossible then we should really 
> look into a autopatch
> generator like i2c has you just do something like mkpatch /usr/src/linux 
> | patch -p1 and it auto
> generates a valid patch file for that version for you.

Trouble is, the entire reason you get conflicts when applying old ext3
patches to new kernels is that the underlying semantics of the VFS and
VM in the core kernel are changing rapidly these days.  You _can't_
automate a solution to that.  

In most cases, if the relevant parts of the underlying kernel have not
changed, then you can keep on using the same ext3 patch.

--Stephen





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]